DROP TABLE [dbo].[DASHBOARD_RESOURCE]
GO

CREATE TABLE [dbo].[DASHBOARD_RESOURCE](
  [ID] [int] IDENTITY(1,1) NOT NULL,
  [URL] [varchar](100) NOT NULL,
  [OWNER] [varchar](100) NOT NULL,
  [NAME] [varchar](256) NOT NULL,
  [DESCRIPTION] [varchar](1000) NULL,
  [PARENT_ID] [int] NOT NULL,
  [LANDING_PAGE] [varchar](100) NOT NULL,
  [CONTENT] [varbinary](max) NULL,
 CONSTRAINT [PK_DASHBOARD_RESOURCE] PRIMARY KEY CLUSTERED
(
  [URL] ASC,
  [OWNER] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

DROP TABLE [dbo].[WIDGET_RESOURCE]
GO

CREATE TABLE [dbo].[WIDGET_RESOURCE](
  [WIDGET_ID] [varchar](255) NOT NULL,
  [WIDGET_NAME] [varchar](255) NOT NULL,
  [WIDGET_CONFIGS] [varbinary](8000) NULL,
 CONSTRAINT [PK_WIDGET_RESOURCE] PRIMARY KEY CLUSTERED
(
  [WIDGET_ID] ASC,
  [WIDGET_NAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO